GCalc.MathGroup – GCalc-2 Reference Manual

# MathGroup

## Object Hierarchy:

## Description:

public interface MathGroup : Object, MathExpression

A grouping math expression like parentesis

All known implementing classes:

- Group

Namespace: GCalc
Package: GCalc-2

## Content:

### Enums:

- Level

### Properties:

- public abstract bool closed { get; set; }
- public abstract Level level { get; set; }

### Methods:

- public virtual MathExpression evaluate () throws Error

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GCalc.MathExpression

- expressions
- parent

- solve

- to_string